API Reference

Orders

Create, list, update and manage store orders.

18 endpoints· Auth: API Key
get/api/v1/store/integrations/delivery-companies API Key

Get delivery-companies

Responses

200Success
cURL
curl -X GET "https://stagging-api.sendyiq.com/api/v1/store/integrations/delivery-companies" \
  -H "X-API-Key: <YOUR_API_KEY>"
Try itagainst staging · https://stagging-api.sendyiq.com
Set credentials in the “Authorize” menu
get/api/v1/store/integrations/orders API Key

Get orders

Query parameters

Page
integer (int32)
PageSize
integer (int32)
Status
string

Responses

200Success
cURL
curl -X GET "https://stagging-api.sendyiq.com/api/v1/store/integrations/orders" \
  -H "X-API-Key: <YOUR_API_KEY>"
Try itagainst staging · https://stagging-api.sendyiq.com

Query parameters

Set credentials in the “Authorize” menu
post/api/v1/store/integrations/orders API Key

Create orders

Request body

application/json
{
  "customerName": "string",
  "customerPhone": "string",
  "customerAddress": "string",
  "addressProvinceCode": "string",
  "addressAreaId": "00000000-0000-0000-0000-000000000000",
  "deliveryLat": 0,
  "deliveryLng": 0,
  "orderValue": 0,
  "deliveryFee": 0,
  "externalRef": "string",
  "fulfillmentType": "string",
  "deliveryMode": "string",
  "paymentMethod": "string"
}
customerName
string
customerPhone
string
customerAddress
string
addressProvinceCode
string
addressAreaId
string (uuid)
deliveryLat
number (double)
deliveryLng
number (double)
orderValue
number (double)
deliveryFee
number (double)
externalRef
string
fulfillmentType
string
deliveryMode
string
paymentMethod
string

Responses

200Success
cURL
curl -X POST "https://stagging-api.sendyiq.com/api/v1/store/integrations/orders" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: <YOUR_API_KEY>" \
  -d '{
  "customerName": "string",
  "customerPhone": "string",
  "customerAddress": "string",
  "addressProvinceCode": "string",
  "addressAreaId": "00000000-0000-0000-0000-000000000000",
  "deliveryLat": 0,
  "deliveryLng": 0,
  "orderValue": 0,
  "deliveryFee": 0,
  "externalRef": "string",
  "fulfillmentType": "string",
  "deliveryMode": "string",
  "paymentMethod": "string"
}'
Try itagainst staging · https://stagging-api.sendyiq.com

Request body (JSON)

Set credentials in the “Authorize” menu
get/api/v1/store/integrations/orders/{orderId} API Key

Get orderId

Path parameters

orderIdrequired
string (uuid)

Responses

200Success
cURL
curl -X GET "https://stagging-api.sendyiq.com/api/v1/store/integrations/orders/{orderId}" \
  -H "X-API-Key: <YOUR_API_KEY>"
Try itagainst staging · https://stagging-api.sendyiq.com

Path parameters

Set credentials in the “Authorize” menu
put/api/v1/store/integrations/orders/{orderId} API Key

Update orderId

Path parameters

orderIdrequired
string (uuid)

Request body

application/json
{
  "customerName": "string",
  "customerPhone": "string",
  "customerAddress": "string",
  "addressProvinceCode": "string",
  "addressAreaId": "00000000-0000-0000-0000-000000000000",
  "deliveryLat": 0,
  "deliveryLng": 0,
  "orderValue": 0,
  "deliveryFee": 0,
  "externalRef": "string",
  "fulfillmentType": "string",
  "deliveryMode": "string",
  "paymentMethod": "string"
}
customerName
string
customerPhone
string
customerAddress
string
addressProvinceCode
string
addressAreaId
string (uuid)
deliveryLat
number (double)
deliveryLng
number (double)
orderValue
number (double)
deliveryFee
number (double)
externalRef
string
fulfillmentType
string
deliveryMode
string
paymentMethod
string

Responses

200Success
cURL
curl -X PUT "https://stagging-api.sendyiq.com/api/v1/store/integrations/orders/{orderId}" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: <YOUR_API_KEY>" \
  -d '{
  "customerName": "string",
  "customerPhone": "string",
  "customerAddress": "string",
  "addressProvinceCode": "string",
  "addressAreaId": "00000000-0000-0000-0000-000000000000",
  "deliveryLat": 0,
  "deliveryLng": 0,
  "orderValue": 0,
  "deliveryFee": 0,
  "externalRef": "string",
  "fulfillmentType": "string",
  "deliveryMode": "string",
  "paymentMethod": "string"
}'
Try itagainst staging · https://stagging-api.sendyiq.com

Path parameters

Request body (JSON)

Set credentials in the “Authorize” menu
post/api/v1/store/integrations/orders/{orderId}/cancel API Key

Create cancel

Path parameters

orderIdrequired
string (uuid)

Request body

application/json
{
  "reason": "string"
}
reason
string

Responses

200Success
cURL
curl -X POST "https://stagging-api.sendyiq.com/api/v1/store/integrations/orders/{orderId}/cancel" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: <YOUR_API_KEY>" \
  -d '{
  "reason": "string"
}'
Try itagainst staging · https://stagging-api.sendyiq.com

Path parameters

Request body (JSON)

Set credentials in the “Authorize” menu
get/api/v1/store/integrations/orders/{orderId}/items API Key

Get items

Path parameters

orderIdrequired
string (uuid)

Responses

200Success
cURL
curl -X GET "https://stagging-api.sendyiq.com/api/v1/store/integrations/orders/{orderId}/items" \
  -H "X-API-Key: <YOUR_API_KEY>"
Try itagainst staging · https://stagging-api.sendyiq.com

Path parameters

Set credentials in the “Authorize” menu
post/api/v1/store/integrations/orders/{orderId}/qr API Key

Create qr

Path parameters

orderIdrequired
string (uuid)

Responses

200Success
cURL
curl -X POST "https://stagging-api.sendyiq.com/api/v1/store/integrations/orders/{orderId}/qr" \
  -H "X-API-Key: <YOUR_API_KEY>"
Try itagainst staging · https://stagging-api.sendyiq.com

Path parameters

Set credentials in the “Authorize” menu
post/api/v1/store/integrations/orders/{orderId}/return-request API Key

Create return-request

Path parameters

orderIdrequired
string (uuid)

Request body

application/json
{
  "reason": "string"
}
reason
string

Responses

200Success
cURL
curl -X POST "https://stagging-api.sendyiq.com/api/v1/store/integrations/orders/{orderId}/return-request" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: <YOUR_API_KEY>" \
  -d '{
  "reason": "string"
}'
Try itagainst staging · https://stagging-api.sendyiq.com

Path parameters

Request body (JSON)

Set credentials in the “Authorize” menu
get/api/v1/store/integrations/orders/{orderId}/return-requests API Key

Get return-requests

Path parameters

orderIdrequired
string (uuid)

Responses

200Success
cURL
curl -X GET "https://stagging-api.sendyiq.com/api/v1/store/integrations/orders/{orderId}/return-requests" \
  -H "X-API-Key: <YOUR_API_KEY>"
Try itagainst staging · https://stagging-api.sendyiq.com

Path parameters

Set credentials in the “Authorize” menu
post/api/v1/store/integrations/orders/{orderId}/status API Key

Create status

Path parameters

orderIdrequired
string (uuid)

Request body

application/json
{
  "status": "string",
  "notes": "string"
}
status
string
notes
string

Responses

200Success
cURL
curl -X POST "https://stagging-api.sendyiq.com/api/v1/store/integrations/orders/{orderId}/status" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: <YOUR_API_KEY>" \
  -d '{
  "status": "string",
  "notes": "string"
}'
Try itagainst staging · https://stagging-api.sendyiq.com

Path parameters

Request body (JSON)

Set credentials in the “Authorize” menu
post/api/v1/store/integrations/orders/bulk API Key

Create bulk

Request body

application/json
{
  "orders": [
    {
      "customerName": "string",
      "customerPhone": "string",
      "customerAddress": "string",
      "addressProvinceCode": "string",
      "addressAreaId": "00000000-0000-0000-0000-000000000000",
      "deliveryLat": 0,
      "deliveryLng": 0,
      "orderValue": 0,
      "deliveryFee": 0,
      "externalRef": "string",
      "fulfillmentType": "string",
      "deliveryMode": "string",
      "paymentMethod": "string"
    }
  ]
}
orders
IntegrationPushOrderRequest[]

Responses

200Success
cURL
curl -X POST "https://stagging-api.sendyiq.com/api/v1/store/integrations/orders/bulk" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: <YOUR_API_KEY>" \
  -d '{
  "orders": [
    {
      "customerName": "string",
      "customerPhone": "string",
      "customerAddress": "string",
      "addressProvinceCode": "string",
      "addressAreaId": "00000000-0000-0000-0000-000000000000",
      "deliveryLat": 0,
      "deliveryLng": 0,
      "orderValue": 0,
      "deliveryFee": 0,
      "externalRef": "string",
      "fulfillmentType": "string",
      "deliveryMode": "string",
      "paymentMethod": "string"
    }
  ]
}'
Try itagainst staging · https://stagging-api.sendyiq.com

Request body (JSON)

Set credentials in the “Authorize” menu
get/api/v1/store/integrations/orders/search/{publicId} API Key

Get publicId

Path parameters

publicIdrequired
string

Responses

200Success
cURL
curl -X GET "https://stagging-api.sendyiq.com/api/v1/store/integrations/orders/search/{publicId}" \
  -H "X-API-Key: <YOUR_API_KEY>"
Try itagainst staging · https://stagging-api.sendyiq.com

Path parameters

Set credentials in the “Authorize” menu
post/api/v1/store/integrations/orders/send-otp API Key

Create send-otp

Request body

application/json
{
  "phone": "string"
}
phone
string

Responses

200Success
cURL
curl -X POST "https://stagging-api.sendyiq.com/api/v1/store/integrations/orders/send-otp" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: <YOUR_API_KEY>" \
  -d '{
  "phone": "string"
}'
Try itagainst staging · https://stagging-api.sendyiq.com

Request body (JSON)

Set credentials in the “Authorize” menu
post/api/v1/store/integrations/orders/storefront API Key

Create storefront

Request body

application/json
{
  "customerName": "string",
  "customerPhone": "string",
  "customerAddress": "string",
  "addressProvinceCode": "string",
  "addressAreaId": "00000000-0000-0000-0000-000000000000",
  "deliveryLat": 0,
  "deliveryLng": 0,
  "externalRef": "string",
  "notes": "string",
  "items": [
    {
      "sku": "string",
      "quantity": 0,
      "unitPrice": 0
    }
  ],
  "otpCode": "string"
}
customerName
string
customerPhone
string
customerAddress
string
addressProvinceCode
string
addressAreaId
string (uuid)
deliveryLat
number (double)
deliveryLng
number (double)
externalRef
string
notes
string
items
IntegrationStorefrontOrderItemRequest[]
otpCode
string

Responses

200Success
cURL
curl -X POST "https://stagging-api.sendyiq.com/api/v1/store/integrations/orders/storefront" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: <YOUR_API_KEY>" \
  -d '{
  "customerName": "string",
  "customerPhone": "string",
  "customerAddress": "string",
  "addressProvinceCode": "string",
  "addressAreaId": "00000000-0000-0000-0000-000000000000",
  "deliveryLat": 0,
  "deliveryLng": 0,
  "externalRef": "string",
  "notes": "string",
  "items": [
    {
      "sku": "string",
      "quantity": 0,
      "unitPrice": 0
    }
  ],
  "otpCode": "string"
}'
Try itagainst staging · https://stagging-api.sendyiq.com

Request body (JSON)

Set credentials in the “Authorize” menu
get/api/v1/store/integrations/return-requests/{returnRequestId} API Key

Get returnRequestId

Path parameters

returnRequestIdrequired
string (uuid)

Responses

200Success
cURL
curl -X GET "https://stagging-api.sendyiq.com/api/v1/store/integrations/return-requests/{returnRequestId}" \
  -H "X-API-Key: <YOUR_API_KEY>"
Try itagainst staging · https://stagging-api.sendyiq.com

Path parameters

Set credentials in the “Authorize” menu
post/api/v1/store/integrations/return-requests/{returnRequestId}/approve API Key

Create approve

Path parameters

returnRequestIdrequired
string (uuid)

Responses

200Success
cURL
curl -X POST "https://stagging-api.sendyiq.com/api/v1/store/integrations/return-requests/{returnRequestId}/approve" \
  -H "X-API-Key: <YOUR_API_KEY>"
Try itagainst staging · https://stagging-api.sendyiq.com

Path parameters

Set credentials in the “Authorize” menu
post/api/v1/store/integrations/return-requests/{returnRequestId}/reject API Key

Create reject

Path parameters

returnRequestIdrequired
string (uuid)

Request body

application/json
{
  "notes": "string"
}
notes
string

Responses

200Success
cURL
curl -X POST "https://stagging-api.sendyiq.com/api/v1/store/integrations/return-requests/{returnRequestId}/reject" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: <YOUR_API_KEY>" \
  -d '{
  "notes": "string"
}'
Try itagainst staging · https://stagging-api.sendyiq.com

Path parameters

Request body (JSON)

Set credentials in the “Authorize” menu